﻿@model InsightHub.Web.Models.HomeViewModel

@{
    ViewData["Title"] = "Home Page";
    Layout = "~/Views/Shared/_Layout.cshtml";
}
@section Styles
    {
        <style type="text/css">
            body {
                background-image: url('images/homepage.jpg');
                background-repeat: no-repeat;
                background-position: center;
                background-size: cover;
            }
        </style>
    }
<div class="background">
    <div class="jumbotron text-center bg-transparent">
        <div class="container">
            <h1 class="text-light">D&D's InsightHub</h1>
            <p class="text-light">The largest portal for business reports!</p>
        </div>
    </div>

    <div class="container">
        <div class="row">
            <div class="col-sm-4">
                <h3 class="card-header text-black-50" style="background-color:white">Newest Reports</h3>
                <img style="height: 200px; width: 100%; display: block;" src="~/images/calendar2.jpg" alt="Card image">
                <ul class="list-group list-group-flush">
                    @foreach (var report in Model.Newest)
                    {
                        <li class="list-group-item text-black-50">@Html.ActionLink(report.Name, "Details", "Reports", new { id = report.Id })</li>
                    }
                </ul>
            </div>
            <div class="col-sm-4">
                <h3 class="card-header text-black-50" style="background-color:white">Most Downloaded</h3>
                <img style="height: 200px; width: 100%; display: block;" src="~/images/download.jpg" alt="Card image">
                <ul class="list-group list-group-flush">
                    @foreach (var report in Model.MostDownloaded)
                    {
                        <li class="list-group-item text-black-50">@Html.ActionLink(report.Name, "Details", "Reports", new { id = report.Id })</li>
                    }
                </ul>
            </div>
            <div class="col-sm-4">
                <h3 class="card-header text-black-50" style="background-color:white">Featured Reports</h3>
                <img style="height: 200px; width: 100%; display: block;" src="~/images/star.jpg" alt="Card image">
                <ul class="list-group list-group-flush">
                    @foreach (var report in Model.Featured)
                    {
                        <li class="list-group-item text-black-50">@Html.ActionLink(report.Name, "Details", "Reports", new { id = report.Id })</li>
                    }
                </ul>
            </div>
        </div>
    </div>
</div>